### Name: aidsUtility
### Title: Indirect Utility Function of the Almost Ideal Demand System
### Aliases: aidsUtility aidsUtilityDeriv
### Keywords: models

### ** Examples

## Not run: 
##D    data( Blanciforti86 )
##D    # Data on food consumption are available only for the first 32 years
##D    Blanciforti86 <- Blanciforti86[ 1:32, ]
##D 
##D    priceNames <- c( "pFood1", "pFood2", "pFood3", "pFood4" )
##D    shareNames <- c( "wFood1", "wFood2", "wFood3", "wFood4" )
##D 
##D    ## estimate the (non-linear) AIDS
##D    estResult <- aidsEst( priceNames, shareNames, "xFood",
##D       data = Blanciforti86, method = "IL" )
##D 
##D    # calculate the utility levels of each year
##D    utility <- aidsUtility( priceNames, "xFood", coef = coef( estResult ),
##D       data = Blanciforti86 )
##D 
##D    utilityDeriv <- aidsUtilityDeriv( priceNames, "xFood",
##D       coef = coef( estResult ), data = Blanciforti86 )
##D 
##D    utilityEla <- aidsUtilityDeriv( priceNames, "xFood",
##D       coef = coef( estResult ), data = Blanciforti86, rel = TRUE )
## End(Not run)



