### Name: lrtest.aidsEst
### Title: Likelihood Ratio test for Almost Ideal Demand Systems
### Aliases: lrtest.aidsEst
### Keywords: models

### ** Examples

## Not run: 
##D    # Using data published in Blanciforti, Green & King (1986)
##D    data( Blanciforti86 )
##D    # Data on food consumption are available only for the first 32 years
##D    Blanciforti86 <- Blanciforti86[ 1:32, ]
##D 
##D    # names of prices and expenditure shares
##D    priceNames <- c( "pFood1", "pFood2", "pFood3", "pFood4" )
##D    shareNames <- c( "wFood1", "wFood2", "wFood3", "wFood4" )
##D 
##D    # estimation with symmetry and homogeneity imposed
##D    estResult <- aidsEst( c( "pFood1", "pFood2", "pFood3", "pFood4" ),
##D       c( "wFood1", "wFood2", "wFood3", "wFood4" ), "xFood",
##D       data = Blanciforti86 )
##D 
##D    # estimation with only homogeneity imposed
##D    estResultHom <- aidsEst( c( "pFood1", "pFood2", "pFood3", "pFood4" ),
##D       c( "wFood1", "wFood2", "wFood3", "wFood4" ), "xFood",
##D       data = Blanciforti86, sym = FALSE )
##D 
##D    # unrestricted estimation
##D    estResultUnr <- aidsEst( c( "pFood1", "pFood2", "pFood3", "pFood4" ),
##D       c( "wFood1", "wFood2", "wFood3", "wFood4" ), "xFood",
##D       data = Blanciforti86, sym = FALSE, hom = FALSE )
##D 
##D    # LR tests
##D    lrtest( estResult, estResultHom, estResultUnr, estResult )
##D 
##D    ## Estimation with a demand shifter: linear trend
##D    Blanciforti86$trend <- c( 0:( nrow( Blanciforti86 ) - 1 ) )
##D    estResultTrend <- aidsEst( priceNames, shareNames, "xFood",
##D       data = Blanciforti86, shifterNames = "trend" )
##D 
##D    # LR tests
##D    lrtest( estResult, estResultTrend )
## End(Not run)



