### Name: snqProfitFixEla
### Title: Fixed Factor Elasticities of SNQ Profit function
### Aliases: snqProfitFixEla
### Keywords: models

### ** Examples

   # just a stupid simple example
   snqProfitFixEla( matrix(1:6/6,3,2 ), matrix(4:1/4,2 ), c(1,1,1), c(1,1),
      c(0.4,0.3,0.3) )

## Not run: 
##D    # now with real data
##D    data( germanFarms )
##D    germanFarms$qOutput   <- germanFarms$vOutput   / germanFarms$pOutput
##D    germanFarms$qVarInput <- -germanFarms$vVarInput / germanFarms$pVarInput
##D    germanFarms$qLabor    <- -germanFarms$qLabor
##D    germanFarms$time      <- c( 0:19 )
##D    priceNames <- c( "pOutput", "pVarInput", "pLabor" )
##D    quantNames <- c( "qOutput", "qVarInput", "qLabor" )
##D    fixNames <- c( "land", "time" )
##D 
##D    estResult <- snqProfitEst( priceNames, quantNames, fixNames, data=germanFarms )
##D 
##D    estResult$fixEla  # price elasticities at mean quantities of netputs
##D                      # and fixed factors
##D 
##D    # fixed factor elasticities at the last observation (1994/95)
##D    snqProfitFixEla( estResult$coef$delta, estResult$coef$gamma,
##D       estResult$data[ 20, quantNames ], estResult$data[ 20, fixNames ],
##D       estResult$weights, estResult$scalingFactors )
## End(Not run)



